as.matrix.pdMat {nlme} | R Documentation

## Matrix of a pdMat Object

### Description

This method function extracts the positive-definite matrix represented by `x`.

### Usage

    ## S3 method for class 'pdMat'
    as.matrix(x, ...)

### Arguments

`x` | an object inheriting from class `pdMat`, representing a positive-definite matrix.
`...` | further arguments passed from other methods.

### Value

a matrix corresponding to the positive-definite matrix represented by `x`.

### Author(s)

Jose Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J. C. and Bates, D. M. (2000), Mixed-Effects Models in S and S-PLUS, Springer, New York.

### See Also

`pdMat`, `corMatrix`

### Examples

    as.matrix(pdSymm(diag(4)))

[Package nlme version 3.1-104 Index]